Update ONEMercury display to show 'DataONE' identifier

2012-07-06 20:33 - Skye Roseboom

Status: Closed Start date: 2012-07-06

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: Sprint-2012.27-Block.4.2   

Milestone: CCI-1.0.3 Story Points:  

Product Version: *   

Description

Sometimes the identifier recorded by the science metadata document does not match the identifier the document is registered in

DataONE with.  For example, many docs are now receiving new DOI prefixed identifiers.  However the science metadata is not

updated to reflect this new Identifer value.   So in ONEMercury, when the document details are displayed, the 'original' identifier

present in science metadata is displayed.   Need to add additional display for the 'dataone' identifier of the document.

Effects eml, fgdc, display in ONEMercury.

History

#1 - 2012-07-06 20:59 - Skye Roseboom

Be aware that displaying 'original' and 'new' identifiers is likely confusing.   Suggestion is to remove references to old identifier and just display the

new 'dataone' identifier.   At the very least the 'data citation' display line needs to be updated to display the current DataONE id and not the id present

in the metadata document.

#2 - 2012-07-09 16:13 - Skye Roseboom

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.27-Block.4.2

#3 - 2012-07-09 16:14 - Skye Roseboom

- Tracker changed from Task to Story

#4 - 2012-07-09 16:15 - Skye Roseboom

- Status changed from New to In Progress

#5 - 2012-07-10 03:09 - Skye Roseboom

- File redmine3053.patch added

patch for updating ONEMercury to display DataONE document identifier. 

#6 - 2012-07-17 20:26 - Skye Roseboom

- Milestone changed from CCI-1.1 to CCI-1.0.3

#7 - 2012-07-18 01:43 - Skye Roseboom

Installed on cn-dev.dataone.org for testing

#8 - 2012-07-24 22:09 - Skye Roseboom

- Tracker changed from Story to Task

Copied to 1.0.0 branch for testing prior to 1.0.3 release.
#9 - 2012-07-24 22:10 - Skye Roseboom

- Status changed from In Progress to Testing

#10 - 2012-08-16 21:59 - Dave Vieglais

- Status changed from Testing to Closed

Working in 1.0.4 production.

Files

redmine3053.patch 627 KB 2012-07-10 Skye Roseboom
